<?php
/**
 * 
 */
class connSMS{
    private $_titulo = "sms_estandar";
    private $_usuario = "atdise%C3%B1o";
    private $_clave = "atdise%C3%B1o";
    private $_operacion = "enviar";
    public function __construct() {
        
    }
    
    /**
     * envia un sms por la api de avisel
     * 
     * @author john jairo cortes garcia <john.cortes@syslab.so>
     * @param type $destinatario
     * @param type $contenido
     * @param type $fechaDelay
     * @param type $ruta
     * @return boolean
     * @throws Exception
     */
    public function sendSmsAvisel($destinatario,$contenido,$fechaDelay=null,$ruta=null){
        try{
            if(function_exists('curl_init')){
                $contenido = urlencode($contenido);
			
                if(!is_null($fechaDelay)){
                    $fechaEnvio=$fechaDelay;
                }else{
                    $fechaEnvio = @date('Y-m-d');;
                }
			
                if(!is_null($ruta)){
                    $ruta=1;
                }
                else{
                    $ruta=0;
                }
			
                $rutatotal="http://avisel.com/Avisel.ashx?usuario=".$this->_usuario.
                            "&clave=".$this->_clave.
                            "&operacion=".$this->_operacion.
                            "&destinatario=".$destinatario.
                            "&contenido=".$contenido.
                            "&titulo=".$this->_titulo.
                            "&fechaEnvio=".$fechaEnvio;
                            /*"&ruta=".$ruta;*/
                //echo $rutatotal;
                ////////////////////////////////////////////////
                $user_agent='Mozilla/5.0 (Windows NT 6.1; rv:8.0) Gecko/20100101 Firefox/8.0';
                $options = array(

                    CURLOPT_CUSTOMREQUEST  =>"GET",        //set request type post or get
                    CURLOPT_POST           =>false,        //set to GET
                    CURLOPT_USERAGENT      => $user_agent, //set user agent
                    CURLOPT_COOKIEFILE     =>"cookie.txt", //set cookie file
                    CURLOPT_COOKIEJAR      =>"cookie.txt", //set cookie jar
                    CURLOPT_RETURNTRANSFER => true,     // return web page
                    CURLOPT_HEADER         => false,    // don't return headers
                    CURLOPT_FOLLOWLOCATION => true,     // follow redirects
                    CURLOPT_ENCODING       => "",       // handle all encodings
                    CURLOPT_AUTOREFERER    => true,     // set referer on redirect
                    CURLOPT_CONNECTTIMEOUT => 120,      // timeout on connect
                    CURLOPT_TIMEOUT        => 120,      // timeout on response
                    CURLOPT_MAXREDIRS      => 10,       // stop after 10 redirects
                );

                $ch      = curl_init( trim($rutatotal) );
                curl_setopt_array( $ch, $options );
                $content = curl_exec( $ch );
                $err     = curl_errno( $ch );
                $errmsg  = curl_error( $ch );
                $header  = curl_getinfo( $ch );
                curl_close( $ch );

                $header['errno']   = $err;
                $header['errmsg']  = $errmsg;
                $header['content'] = $content;
                //echo '--><pre>'.print_r($header,true)."</pre>";
                return $header;
            }
            else{
                echo "No hay soporte para cURL";
            }
            return true;
        } catch (Exception $ex) {
            throw $ex;
        }
    }
    
}